Support Questions
Find answers, ask questions, and share your expertise

Unable to add HDF-3.0.1.1. to existing HDP 2.6.2 cluster ?

Explorer

I was trying to add a service of NIFI in existing HDP cluster using reference of https://docs.hortonworks.com/HDPDocuments/HDF3/HDF-3.1.1/bk_installing-hdf-on-hdp/content/ch_install...

I am Using Ambari 2.5 , HDP 2.6 & HDF 3.0.1.1

and finally ending up with

Execution of '/usr/bin/yum -d 0 -e 0 -y install hdp-select' returned 1. Error: Cannot retrieve repository metadata (repomd.xml) for repository: HDF-3.0. Please verify its path and try again
4 REPLIES 4

Explorer

Please find the below attached image it says HDF 3.0.1 runs with Ambari 2.5.1.

So if I say HDF 3.0.1 runs with Ambari 2.5.1. should be separate HDF cluster or Can I use these versions to add HDF to existing

HDP cluster ?

Could you clarify on this please ?

64860-capture.png


@Veerendra Nath Jasthi

I am a little confused. My first answer was for HDF 3.1.1 because you provided this link in your question : https://docs.hortonworks.com/HDPDocuments/HDF3/HDF-3.1.1/bk_installing-hdf-on-hdp/content/ch_install...

Are you trying to install HDF 3.1.1 or HDF 3.0.1.1 ?

Explorer

HDF 3.0.1.1 on existing HDP 2.6.2 & it has ambari 2.5.2 ?

Thanks @Veerendra Nath Jasthi for the confirmation. I'll delete my initial answer.

Regarding Ambari 2.5.2, it doesn't support HDF 3.0.1.1. Only Ambari 2.5.1 supports HDF 3.0.1.1 as you can see in the screenshot you shared.

Thanks

; ;